<?php

class formIbackuperRestore extends cmsForm {

    public function init() {

        $fields = array(

            'basic' => array(

                'title' => LANG_BASIC_OPTIONS,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldFile('file_restore', array(
                        'title' => LANG_IBACKUPER_FILE_RESTORE,
                        'options' => array(
                            'extensions' => 'txt',
                        ),
                        'rules' => array(
                            array('required')
                        )
                    )),

                    new fieldString('new_name', array(
                        'title' => LANG_IBACKUPER_NEW_NAME,
                        'hint' => LANG_IBACKUPER_NEW_NAME_HINT,
                        'rules' => array(
                            array('required')
                        )
                    )),

                    new fieldString('new_title', array(
                        'title' => LANG_IBACKUPER_NEW_TITLE,
                        'hint' => LANG_IBACKUPER_NEW_TITLE_HINT
                    ))

                )

            ),

            'ctypes' => array(

                'title' => LANG_CONTENT_TYPE,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('is_relations', array(
                        'title' => LANG_IBACKUPER_IS_RELATIONS,
                    )),

                )

            ),

            'numerals_labels' => array(

                'type' => 'fieldset',
                'title' => LANG_CONTENT_TYPE . ': ' . LANG_CP_NUMERALS_LABELS,
                'childs' => array(

                    new fieldString('new_labels_one', array(
                        'title' => LANG_CP_NUMERALS_1_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    )),

                    new fieldString('new_labels_two', array(
                        'title' => LANG_CP_NUMERALS_2_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    )),

                    new fieldString('new_labels_many', array(
                        'title' => LANG_CP_NUMERALS_10_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    ))

                )

            ),

            'actions_labels' => array(

                'type' => 'fieldset',
                'title' => LANG_CONTENT_TYPE . ': ' . LANG_CP_ACTIONS_LABELS,
                'childs' => array(

                    new fieldString('new_labels_create', array(
                        'title' => LANG_CP_ACTION_ADD_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    ))

                )

            ),

            'lists_labels' => array(

                'type' => 'fieldset',
                'title' => LANG_CONTENT_TYPE . ': ' . LANG_CP_LIST_LABELS,
                'childs' => array(

                    new fieldString('new_labels_list', array(
                        'title' => LANG_CP_LIST_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    )),

                    new fieldString('new_labels_profile', array(
                        'title' => LANG_CP_PROFILE_LABEL,
                        'hint' => LANG_IBACKUPER_EMPTY_HINT
                    ))

                )

            )

        );

        return $fields;

    }

}
